Flecs: Doc
Description: A fast entity component system (ECS) for C & C++

| Flecs v4.0 A fast entity component system (ECS) for C & C++

Loading...
Searching...
No Matches
Typedefs | Functions
Doc
C++ API » Addons

Utilities for documenting entities, components and systems. More...

Collaboration diagram for Doc:

## Typedefs
using | flecs::doc::Description = EcsDocDescription
| flecs.doc.Description component

## Functions
const char * | flecs::entity_view::doc_name () const
| Get human readable name.
const char * | flecs::entity_view::doc_brief () const
| Get brief description.
const char * | flecs::entity_view::doc_detail () const
| Get detailed description.
const char * | flecs::entity_view::doc_link () const
| Get link to external documentation.
const char * | flecs::entity_view::doc_color () const
| Get color.
const char * | flecs::entity_view::doc_uuid () const
| Get UUID.
const char * | flecs::doc::get_uuid (const flecs::entity_view &e)
| Get UUID for an entity.
const char * | flecs::doc::get_name (const flecs::entity_view &e)
| Get human readable name for an entity.
const char * | flecs::doc::get_brief (const flecs::entity_view &e)
| Get brief description for an entity.
const char * | flecs::doc::get_detail (const flecs::entity_view &e)
| Get detailed description for an entity.
const char * | flecs::doc::get_link (const flecs::entity_view &e)
| Get link to external documentation for an entity.
const char * | flecs::doc::get_color (const flecs::entity_view &e)
| Get color for an entity.
void | flecs::doc::set_uuid (flecs::entity &e, const char *uuid)
| Set UUID for an entity.
void | flecs::doc::set_name (flecs::entity &e, const char *name)
| Set human readable name for an entity.
void | flecs::doc::set_brief (flecs::entity &e, const char *description)
| Set brief description for an entity.
void | flecs::doc::set_detail (flecs::entity &e, const char *description)
| Set detailed description for an entity.
void | flecs::doc::set_link (flecs::entity &e, const char *link)
| Set link to external documentation for an entity.
void | flecs::doc::set_color (flecs::entity &e, const char *color)
| Set color for an entity.
const Self & | flecs::entity_builder< Self >::set_doc_name (const char *name) const
| Set human readable name.
const Self & | flecs::entity_builder< Self >::set_doc_brief (const char *brief) const
| Set brief description.
const Self & | flecs::entity_builder< Self >::set_doc_detail (const char *detail) const
| Set detailed description.
const Self & | flecs::entity_builder< Self >::set_doc_link (const char *link) const
| Set link to external documentation.
const Self & | flecs::entity_builder< Self >::set_doc_color (const char *color) const
| Set doc color.
const Self & | flecs::entity_builder< Self >::set_doc_uuid (const char *uuid) const
| Set doc UUID.

## Detailed Description

Utilities for documenting entities, components and systems.

## Typedef Documentation

## ◆ Description

using flecs::doc::Description = EcsDocDescription

flecs.doc.Description component

Definition at line 20 of file decl.hpp.

## Function Documentation

## ◆ doc_brief()

const char * doc_brief | ( |  | ) | const
| inline

Get brief description.

See also
  ecs_doc_get_brief()
  flecs::doc::get_brief()
  flecs::entity_builder::set_doc_brief()

Definition at line 29 of file entity_view.hpp.

## ◆ doc_color()

const char * doc_color | ( |  | ) | const
| inline

Get color.

See also
  ecs_doc_get_color()
  flecs::doc::get_color()
  flecs::entity_builder::set_doc_color()

Definition at line 68 of file entity_view.hpp.

## ◆ doc_detail()

const char * doc_detail | ( |  | ) | const
| inline

Get detailed description.

See also
  ecs_doc_get_detail()
  flecs::doc::get_detail()
  flecs::entity_builder::set_doc_detail()

Definition at line 42 of file entity_view.hpp.

## ◆ doc_link()

const char * doc_link | ( |  | ) | const
| inline

Get link to external documentation.

See also
  ecs_doc_get_link()
  flecs::doc::get_link()
  flecs::entity_builder::set_doc_link()

Definition at line 55 of file entity_view.hpp.

## ◆ doc_name()

const char * doc_name | ( |  | ) | const
| inline

Get human readable name.

See also
  ecs_doc_get_name()
  flecs::doc::get_name()
  flecs::entity_builder::set_doc_name()

Definition at line 16 of file entity_view.hpp.

## ◆ doc_uuid()

const char * doc_uuid | ( |  | ) | const
| inline

Get UUID.

See also
  ecs_doc_get_uuid()
  flecs::doc::get_uuid()
  flecs::entity_builder::set_doc_uuid()

Definition at line 81 of file entity_view.hpp.

## ◆ get_brief()

const char * flecs::doc::get_brief | ( | const flecs::entity_view & | e | ) |
| inline

Get brief description for an entity.

See also
  ecs_doc_get_brief()
  flecs::doc::set_brief()
  flecs::entity_view::doc_brief()

Definition at line 43 of file impl.hpp.

## ◆ get_color()

const char * flecs::doc::get_color | ( | const flecs::entity_view & | e | ) |
| inline

Get color for an entity.

See also
  ecs_doc_get_color()
  flecs::doc::set_color()
  flecs::entity_view::doc_color()

Definition at line 79 of file impl.hpp.

## ◆ get_detail()

const char * flecs::doc::get_detail | ( | const flecs::entity_view & | e | ) |
| inline

Get detailed description for an entity.

See also
  ecs_doc_get_detail()
  flecs::doc::set_detail()
  flecs::entity_view::doc_detail()

Definition at line 55 of file impl.hpp.

## ◆ get_link()

const char * flecs::doc::get_link | ( | const flecs::entity_view & | e | ) |
| inline

Get link to external documentation for an entity.

See also
  ecs_doc_get_link()
  flecs::doc::set_link()
  flecs::entity_view::doc_link()

Definition at line 67 of file impl.hpp.

## ◆ get_name()

const char * flecs::doc::get_name | ( | const flecs::entity_view & | e | ) |
| inline

Get human readable name for an entity.

See also
  ecs_doc_get_name()
  flecs::doc::set_name()
  flecs::entity_view::doc_name()

Definition at line 31 of file impl.hpp.

## ◆ get_uuid()

const char * flecs::doc::get_uuid | ( | const flecs::entity_view & | e | ) |
| inline

Get UUID for an entity.

See also
  ecs_doc_get_uuid()
  flecs::doc::set_uuid()
  flecs::entity_view::doc_uuid()

Definition at line 19 of file impl.hpp.

## ◆ set_brief()

void flecs::doc::set_brief | ( | flecs::entity & | e,
|  | const char * | description )
| inline

Set brief description for an entity.

See also
  ecs_doc_set_brief()
  flecs::doc::get_brief()
  flecs::entity_builder::set_doc_brief()

Definition at line 115 of file impl.hpp.

## ◆ set_color()

void flecs::doc::set_color | ( | flecs::entity & | e,
|  | const char * | color )
| inline

Set color for an entity.

See also
  ecs_doc_set_color()
  flecs::doc::get_color()
  flecs::entity_builder::set_doc_color()

Definition at line 151 of file impl.hpp.

## ◆ set_detail()

void flecs::doc::set_detail | ( | flecs::entity & | e,
|  | const char * | description )
| inline

Set detailed description for an entity.

See also
  ecs_doc_set_detail()
  flecs::doc::get_detail()
  flecs::entity_builder::set_doc_detail()

Definition at line 127 of file impl.hpp.

## ◆ set_doc_brief()

template<typename Self >

const Self & set_doc_brief | ( | const char * | brief | ) | const
| inline

Set brief description.

This adds `(flecs.doc.Description, flecs.doc.Brief)` to the entity.

See also
  ecs_doc_set_brief()
  flecs::doc::set_brief()
  flecs::entity_view::doc_brief()

Definition at line 32 of file builder.hpp.

## ◆ set_doc_color()

template<typename Self >

const Self & set_doc_color | ( | const char * | color | ) | const
| inline

Set doc color.

This adds `(flecs.doc.Description, flecs.doc.Color)` to the entity.

See also
  ecs_doc_set_color()
  flecs::doc::set_color()
  flecs::entity_view::doc_color()

Definition at line 77 of file builder.hpp.

## ◆ set_doc_detail()

template<typename Self >

const Self & set_doc_detail | ( | const char * | detail | ) | const
| inline

Set detailed description.

This adds `(flecs.doc.Description, flecs.doc.Detail)` to the entity.

See also
  ecs_doc_set_detail()
  flecs::doc::set_detail()
  flecs::entity_view::doc_detail()

Definition at line 47 of file builder.hpp.

## ◆ set_doc_link()

template<typename Self >

const Self & set_doc_link | ( | const char * | link | ) | const
| inline

Set link to external documentation.

This adds `(flecs.doc.Description, flecs.doc.Link)` to the entity.

See also
  ecs_doc_set_link()
  flecs::doc::set_link()
  flecs::entity_view::doc_link()

Definition at line 62 of file builder.hpp.

## ◆ set_doc_name()

template<typename Self >

const Self & set_doc_name | ( | const char * | name | ) | const
| inline

Set human readable name.

This adds `(flecs.doc.Description, flecs.Name)` to the entity.

See also
  ecs_doc_set_name()
  flecs::doc::set_name()
  flecs::entity_view::doc_name()

Definition at line 17 of file builder.hpp.

## ◆ set_doc_uuid()

template<typename Self >

const Self & set_doc_uuid | ( | const char * | uuid | ) | const
| inline

Set doc UUID.

This adds `(flecs.doc.Description, flecs.doc.Uuid)` to the entity.

See also
  ecs_doc_set_uuid()
  flecs::doc::set_uuid()
  flecs::entity_view::doc_uuid()

Definition at line 92 of file builder.hpp.

## ◆ set_link()

void flecs::doc::set_link | ( | flecs::entity & | e,
|  | const char * | link )
| inline

Set link to external documentation for an entity.

See also
  ecs_doc_set_link()
  flecs::doc::get_link()
  flecs::entity_builder::set_doc_link()

Definition at line 139 of file impl.hpp.

## ◆ set_name()

void flecs::doc::set_name | ( | flecs::entity & | e,
|  | const char * | name )
| inline

Set human readable name for an entity.

See also
  ecs_doc_set_name()
  flecs::doc::get_name()
  flecs::entity_builder::set_doc_name()

Definition at line 103 of file impl.hpp.

## ◆ set_uuid()

void flecs::doc::set_uuid | ( | flecs::entity & | e,
|  | const char * | uuid )
| inline

Set UUID for an entity.

See also
  ecs_doc_set_uuid()
  flecs::doc::get_uuid()
  flecs::entity_builder::set_doc_uuid()

Definition at line 91 of file impl.hpp.